Name:          libpopt
Epoch:         1
Version:       1.19
Release:       1mamba
Summary:       A command line option parsing library with some enhancements compared to getopt
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://rpm.org
Source:        http://ftp.rpm.org/popt/releases/popt-1.x/popt-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      popt
Obsoletes:     popt < 1:1.19

%description
A command line option parsing library with some enhancements compared to getopt.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      popt-devel
Obsoletes:     popt-devel < 1:1.19

%description devel
A command line option parsing library with some enhancements compared to getopt.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n popt-%{version}
sed -i "s|/lib/pkgconfig|/%_lib/pkgconfig|" Makefile.in

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang popt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f popt.lang
%defattr(-,root,root)
%{_libdir}/libpopt.so.*
%{_mandir}/man3/popt.3*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/libpopt.a
%{_libdir}/libpopt.so
%{_libdir}/pkgconfig/popt.pc
%doc README

%changelog
* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18-1mamba
- update to 1.18

* Tue Oct 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-2mamba
- rebuilt

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Thu Mar 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-1mamba
- update to 1.15

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- package created by autospec
